Package ghidra.app.cmd.module

# Class CreateFragmentCmd

java.lang.Object
ghidra.app.cmd.module.CreateFragmentCmd

All Implemented Interfaces:
  `Command<Program>`

public class CreateFragmentCmd extends Object implements Command<Program>
Command to create a Fragment.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateFragmentCmd(String treeName, String name, String parentName)`
  Construct a new CreateFragmentCmd.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program)`
  Apply the command; if the name already exists, then the fragment will not be created.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreateFragmentCmd

    public CreateFragmentCmd(String treeName, String name, String parentName)
    Construct a new CreateFragmentCmd.
    Parameters:
      `treeName` - name of the tree where the fragment will reside
      `name` - name of the new Fragment
      `parentName` - name of the module that is the parent of the fragment

- ## Method Details

  - ### applyTo

    public boolean applyTo(Program program)
    Apply the command; if the name already exists, then the fragment will not be created.
    Specified by:
      `applyTo` in interface `Command<Program>`
    Parameters:
      `program` - domain object that this command is to be applied.
    Returns:
      false if the fragment was not created
    See Also:
      - `Command.applyTo(ghidra.framework.model.DomainObject)`

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command<Program>`
    Returns:
      reason for failure, or null if the status of the command was successful

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command<Program>`
    Returns:
      the name of this command